Bug 1417566 - Create VM fails in WebAdmin
Summary: Create VM fails in WebAdmin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: ovirt-4.1.1
: ---
Assignee: Tal Nisan
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 10:08 UTC by Kevin Alon Goldblatt
Modified: 2017-04-21 09:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:35:36 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
rule-engine: blocker+


Attachments (Terms of Use)
server, vdsm, engine.log (905.29 KB, application/x-gzip)
2017-01-30 10:13 UTC, Kevin Alon Goldblatt
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71285 None None None 2017-01-30 13:55:10 UTC

Description Kevin Alon Goldblatt 2017-01-30 10:08:41 UTC
Description of problem:
Create a VM in the GUI fails with an exception

Version-Release number of selected component (if applicable):
ovirt-engine-4.1.1-0.0.master.20170126161333.git83fd7e0.el7.centos.noarch
vdsm-4.19.3-1.gitdfa4d67.el7.centos.x86_64


How reproducible:
Always

Steps to Reproduce:
1. WebAdmin -> VM -> Add Name, Select Nic and press OK >>> Uncaught exception occurred. Please try reloading the page. Details: Exception caught: (TypeError) __gwt$exception: <skipped>: c.e is undefined
Please have your administrator check the UI logs
2.
3.

Creating a VM from Template works fine
Happens in different browsers



Actual results:
Create VM fails

Expected results:
Should Work

Additional info:
Uncaught exception occurred. Please try reloading the page. Details: Exception caught: (TypeError) __gwt$exception: <skipped>: c.e is undefined
Please have your administrator check the UI logs

Comment 1 Kevin Alon Goldblatt 2017-01-30 10:13:50 UTC
Created attachment 1245815 [details]
server, vdsm, engine.log

Adding Logs

Comment 2 Tal Nisan 2017-01-30 13:53:16 UTC
Kevin, if create VM is failing it's in the virt team responsibility, not storage.
Aside for that please make sure to add UI logs, if we get a UI exception the Engine & VDSM log will most likely contain nothing interesting as the exception is mostly raised before a request is sent to the server

Comment 3 Tal Nisan 2017-01-30 13:54:40 UTC
This is a regression introduced in the fix to bug 1406572, not marking duplicate so QE can test this scenario as well as the fix to the regression was fixed without any corresponding bug.

Comment 4 Kevin Alon Goldblatt 2017-02-15 15:19:20 UTC
Verified with the following code:
------------------------------------------
ovirt-engine-4.1.1-0.1.el7.noarch
rhevm-4.1.1-0.1.el7.noarc
vdsm-4.19.5-1.el7ev.x86_64

Verified with the following scenario:
-----------------------------------------
Steps to Reproduce:
1. WebAdmin -> VM -> Add Name, Select Nic and press OK >>> VM is now created successfully


Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.